#ifndef IZ_INPUT_H
#define IZ_INPUT_H

#include "IZ_action.h"
#include "IZ_keyboard.h"
#include "IZ_joystick.h"
#include "IZ_midi.h"

typedef struct {
	SDL_Event sdl_event;
	IZ_Action action[PLAYERS];
	IZ_KeyboardState keyboard_state[PLAYERS];
	IZ_JoystickState joystick_state[PLAYERS];
	IZ_MIDIInputState midi_input_state[PLAYERS];
} IZ_InputState;

void IZ_InputHandleSDLEvents(IZ_InputState*);

void IZ_InputHandlePortMIDIEvents(PmEvent, IZ_InputState*);

IZ_ProcedureResult IZ_InputInitialize(const char*, IZ_InputState*);

void IZ_InputTeardown(IZ_InputState*);

#endif
